Token factory REST API
Endpoints the node exposes under /centerchain/tokenfactory/*.
Endpoints
GET /centerchain/tokenfactory/v1beta1/denoms/{denom}/authority_metadata
DenomAuthorityMetadata defines a gRPC query method for fetching DenomAuthorityMetadata for a particular denom.
| Name | In | Type | Required | Description |
|---|---|---|---|---|
denom | path | string | yes |
Response 200: centerchain.tokenfactory.v1.QueryDenomAuthorityMetadataResponse
GET /centerchain/tokenfactory/v1beta1/denoms/{denom}/blacklist
| Name | In | Type | Required | Description |
|---|---|---|---|---|
denom | path | string | yes | |
pagination.key | query | string (byte) | no | key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set. |
pagination.offset | query | string (uint64) | no | offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set. |
pagination.limit | query | string (uint64) | no | limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app. |
pagination.count_total | query | boolean | no | count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set. |
pagination.reverse | query | boolean | no | reverse is set to true if results are to be returned in the descending order. |
Response 200: centerchain.tokenfactory.v1.QueryDenomBlacklistResponse
GET /centerchain/tokenfactory/v1beta1/denoms_from_admin/{admin}
DenomsFromAdmin defines a gRPC query method for fetching all denominations owned by a specific admin.
| Name | In | Type | Required | Description |
|---|---|---|---|---|
admin | path | string | yes |
Response 200: centerchain.tokenfactory.v1.QueryDenomsFromAdminResponse
GET /centerchain/tokenfactory/v1beta1/denoms_from_creator/{creator}
DenomsFromCreator defines a gRPC query method for fetching all denominations created by a specific admin/creator.
| Name | In | Type | Required | Description |
|---|---|---|---|---|
creator | path | string | yes |
Response 200: centerchain.tokenfactory.v1.QueryDenomsFromCreatorResponse
GET /centerchain/tokenfactory/v1beta1/params
Params defines a gRPC query method that returns the tokenfactory module's parameters.
Response 200: centerchain.tokenfactory.v1.QueryParamsResponse
GET /centerchain/tokenfactory/v1beta1/swaps/{holder}/authorizations
Authorizations lists the swap authorizations of a holder.
| Name | In | Type | Required | Description |
|---|---|---|---|---|
holder | path | string | yes | |
pagination.key | query | string (byte) | no | key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set. |
pagination.offset | query | string (uint64) | no | offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set. |
pagination.limit | query | string (uint64) | no | limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app. |
pagination.count_total | query | boolean | no | count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set. |
pagination.reverse | query | boolean | no | reverse is set to true if results are to be returned in the descending order. |
Response 200: centerchain.tokenfactory.v1.QueryAuthorizationsResponse
GET /centerchain/tokenfactory/v1beta1/swaps/{holder}/authorizations/{order_seq}
Authorization returns a single swap authorization by holder and sequence.
| Name | In | Type | Required | Description |
|---|---|---|---|---|
holder | path | string | yes | |
order_seq | path | string (uint64) | yes |
Response 200: centerchain.tokenfactory.v1.QueryAuthorizationResponse
GET /centerchain/tokenfactory/v1beta1/swaps/{holder}/high_water_mark
HighWaterMark returns the holder's monotonic order sequence high-water mark.
| Name | In | Type | Required | Description |
|---|---|---|---|---|
holder | path | string | yes |
Response 200: centerchain.tokenfactory.v1.QueryHighWaterMarkResponse